<div
  :class="{
    'item': true,
    'even': (index&1),
    'odd': !(index&1),
    'selected': selected,
    'drag': dragged,
    'drop': dropok,
  }"
  :draggable="draggable"
  v-drag:all.dragged="getDragInfo"
  v-drop.dropok="dropFilter"
  @click.self="open"
  @contextmenu.self="openMenu"
  >
  <div class="icon" @click="selected = !selected">
    <i :class="cssIcon"></i>
    <input type="checkbox" v-model="selected"/>
  </div>
  <renamer
    @click="open"
    @contextmenu="openMenu"
    class="name"
    :value="data.name"
    :active.sync="renameing"
    :selection-range-end="data.root.length"
    @renamed="renameFinish"
    ><div class="root">{{data.root}}</div><div class="ext">{{data.ext}}</div>
  </renamer>
  <div class="actions">
    <a @click="action('rename', {event: $event})"><i class="fa fa-pencil"></i><span>Rename</span></a>
    <a @click.prevent="action('download', {event: $event})" :href="downloadLink" :download="data.name" target="_blank" v-el:download><i class="fa fa-download"></i><span>Download</span></a>
    <a @click="action('remove', {event: $event})"><i class="fa fa-trash"></i><span>Remove</span></a>
  </div>
  <div
    @click="open"
    @contextmenu="openMenu"
    class="size"
    >
    {{{sizeFmt}}}
  </div>
  <div
    @click="open"
    @contextmenu="openMenu"
    class="modified"
    >
    {{mtimeFmt}}
  </div>
</div>
